---
search:
  tags:
    - Custom Roles
    - DELETE
seo:
  description: >-
    Permanently deletes a custom role. Reference for the DELETE
    /api/v1/{team_slug}/{app_slug}/custom-roles/{custom_role_id} endpoint in the
    Management API.
sidebar:
  label: Delete a custom role
  badge: DELETE
title: Delete a custom role
type: openapi-operation
---
Permanently deletes a custom role.

`DELETE /api/v1/{team_slug}/{app_slug}/custom-roles/{custom_role_id}`

**Responses**

- `200` — Custom Role deleted successfully
- `400` — Invalid request (e.g. bad custom role ID format)
- `401` — Unauthorized access
- `404` — Not found
- `409` — Conflict
- `500` — Internal server error

Response example, 200:

```json
{
  "data": "string",
  "details": [
    "string"
  ],
  "success": true
}
```
